@import (reference) "../helpers/_var";
@import (reference) "../fonts/_icons";

.blog-section {
  & {
    text-align: center;
    padding: 0 20px 100px;
    margin: 0 auto;
    max-width: @container_width;

    @media (max-width: @screen_desktop) {
      padding: 0 40px 80px;
    }
  }

  & > .title {
    font-size: 40px;
    color: @primary_color;
    font-family: @font_primary;
    padding: 0 0 30px;
    margin: 0;

    @media (max-width: @screen_tablet) {
      font-size: 28px;
    }
  }

  & > .text {
    font-size: 24px;
    font-family: @font_second;
    padding: 0 0 80px;
    margin: 0 auto;
    max-width: 900px;
    line-height: 1.5;

    @media (max-width: @screen_desktop) {
      padding: 0 0 40px;
    }

    @media (max-width: @screen_tablet) {
      font-size: 18px;
      margin: 0 auto;
      max-width: 550px;
      line-height: 1.5;
    }
  }

  .grid-post-container {
    & {
      display: grid;
      grid-template-columns: 1fr;
      grid-gap: 40px;

      @media (max-width: @screen_desktop) {
        grid-template-columns: 1fr;
      }
    }

    .blog-block {
      & {
        border-radius: 6px;
        border: 1px solid @bg_form;
        overflow: hidden;
        font-family: @font_second;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
        padding: 20px;

        @media (max-width: @screen_desktop) {
          align-items: center;
          padding: 10px;
        }
      }

      .img-post {
        height: 400px;
        overflow: hidden;
        width: 100%;
        padding: 0 0 30px;
        object-fit: cover;

        @media (max-width: @screen_tablet) {
          height: 270px;
        }
      }

      .title {
        padding: 0 0 40px;
        margin: 0;

        @media (max-width: @screen_tablet) {
          font-size: 18px;
          padding: 0 0 20px;
        }
      }

      .date {
        margin: 0;
        padding: 0 0 20px;
        font-size: 14px;

        @media (max-width: @screen_tablet) {
          font-size: 12px;
          padding: 0 0 10px;
        }
      }

      .text {
        margin: 0;
        text-align: left;
        line-height: 2;
        padding: 0;

        @media (max-width: @screen_tablet) {
          text-align: center;
          font-size: 14px;
          line-height: 1.5;
        }
      }
    }
  }
}




